#define L_EOS 257
#define L_ERROR 258
#define L_NUMBER 259
#define L_STRING 260
#define L_HNAME 261
#define L_KEYWORD 262
#define L_HEXSTRING 263
#define L_OCTETSTRING 264
#define T_DIRECT 265
#define T_INTERFACE 266
#define T_INTERFACES 267
#define T_LCLADDR 268
#define T_PROTO 269
#define T_METRIC 270
#define T_METRICIN 271
#define T_METRICOUT 272
#define T_INFINITY 273
#define T_DOWN 274
#define T_PARSE 275
#define T_ADV 276
#define T_DEFAULT 277
#define T_DEFAULTS 278
#define T_YYDEBUG 279
#define T_YYSTATE 280
#define T_YYQUIT 281
#define T_DEBUG 282
#define T_SYSLOG 283
#define T_UPTO 284
#define T_EMERG 285
#define T_ALERT 286
#define T_CRIT 287
#define T_ERR 288
#define T_WARNING 289
#define T_NOTICE 290
#define T_INFO 291
#define T_ON 292
#define T_OFF 293
#define T_GATEWAY 294
#define T_PREFERENCE 295
#define T_PREFERENCE2 296
#define T_DEFAULTMETRIC 297
#define T_NONBROADCAST 298
#define T_BROADCAST 299
#define T_TYPE 300
#define T_POINTOPOINT 301
#define T_MULTICAST 302
#define T_NETMASK 303
#define T_DEFINE 304
#define T_INTERNAL 305
#define T_EXTERNAL 306
#define T_IGNORE 307
#define T_NOP 308
#define T_NOP1 309
#define T_NOP_DM 310
#define T_NOP_ADV 311
#define T_NOP_PROTO 312
#define T_NOP_SOCKADDR 313
#define T_PEERAS 314
#define T_LOCALAS 315
#define T_NEIGHBOR 316
#define T_GROUP 317
#define T_NOGENDEFAULT 318
#define T_VERSION 319
#define T_ACQUIRE 320
#define T_TTL 321
#define T_EGP 322
#define T_ASPATH 323
#define T_ORIGIN 324
#define T_INCOMPLETE 325
#define T_ANY 326
#define T_LOOPS 327
#define T_TAG 328
#define T_KERNEL 329
#define T_SYMBOLS 330
#define T_REMNANTS 331
#define T_IFLIST 332
#define T_ROUTES 333
#define T_NOCHANGE 334
#define T_NOFLUSHATEXIT 335
#define T_REMNANTHOLDTIME 336
#define T_HIGHER 337
#define T_LOWER 338
#define T_FLASH 339
#define T_INTERIOR 340
#define T_BACKGROUND 341
#define T_LIMIT 342
#define T_TRUSTEDGATEWAYS 343
#define T_SOURCEGATEWAYS 344
#define T_RIP 345
#define T_RIPOUT 346
#define T_NORIPOUT 347
#define T_RIPIN 348
#define T_NORIPIN 349
#define T_NOCHECKZERO 350
#define T_HELLOOUT 351
#define T_HELLOIN 352
#define T_NOHELLOOUT 353
#define T_NOHELLOIN 354
#define T_OSPF 355
#define T_OSPF_ASE 356
#define T_BACKBONE 357
#define T_VIRTUALLINK 358
#define T_STUB 359
#define T_STUBHOSTS 360
#define T_RXMITINTERVAL 361
#define T_INFTRANSDELAY 362
#define T_NETWORKS 363
#define T_POLLINTERVAL 364
#define T_ROUTERS 365
#define T_NEIGHBORID 366
#define T_TRANSITAREA 367
#define T_ELIGIBLE 368
#define T_MONITORAUTH 369
#define T_MONITORAUTHKEY 370
#define T_NOMULTICAST 371
#define T_DD 372
#define T_ACK 373
#define T_LSA_BLD 374
#define T_LSA_RX 375
#define T_LSA_TX 376
#define T_EXPORTINTERVAL 377
#define T_EXPORTLIMIT 378
#define T_FIRST 379
#define T_EVERY 380
#define T_AREA 381
#define T_SPF 382
#define T_HELLO 383
#define T_HELLOINTERVAL 384
#define T_ROUTERDEADINTERVAL 385
#define T_PRIORITY 386
#define T_ENABLE 387
#define T_DISABLE 388
#define T_QUERY 389
#define T_QUERYINTERVAL 390
#define T_MODE 391
#define T_ADVERTISE 392
#define T_REGISTER 393
#define T_SNMP 394
#define T_ICMP 395
#define T_ROUTERDISCOVERY 396
#define T_REDIRECT 397
#define T_REDIRECTS 398
#define T_NOREDIRECTS 399
#define T_AUTHTYPE 400
#define T_AUTHKEY 401
#define T_NONE 402
#define T_SIMPLE 403
#define T_AUTH 404
#define T_MD5 405
#define T_SECONDARY 406
#define T_PASSIVE 407
#define T_SIMPLEX 408
#define T_STRICTIFS 409
#define T_SCANINTERVAL 410
#define T_STATIC 411
#define T_MARTIANS 412
#define T_RETAIN 413
#define T_EXPORT 414
#define T_IMPORT 415
#define T_EXACT 416
#define T_REFINE 417
#define T_HOST 418
#define T_MASK 419
#define T_MASKLEN 420
#define T_REJECT 421
#define T_BLACKHOLE 422
#define T_RESTRICT 423
#define T_ALLOW 424
#define T_ANNOUNCE 425
#define T_LISTEN 426
#define T_AS 427
#define T_ROUTERID 428
#define T_IGP 429
#define T_OPTIONS 430
#define T_NOINSTALL 431
#define T_NOSEND 432
#define T_NORESOLV 433
#define T_MARK 434
#define T_TRACEOPTIONS 435
#define T_EXCEPT 436
#define T_REPLACE 437
#define T_SIZE 438
#define T_FILES 439
#define T_K 440
#define T_M 441
#define T_ALL 442
#define T_ROUTE 443
#define T_STATE 444
#define T_POLICY 445
#define T_NORMAL 446
#define T_GENERAL 447
#define T_TASK 448
#define T_TIMER 449
#define T_NOSTAMP 450
#define T_UPDATE 451
#define T_DETAIL 452
#define T_SEND 453
#define T_RECEIVE 454
#define T_ERROR 455
#define T_PACKETS 456
#define T_RESPONSE 457
#define T_REQUEST 458
#define T_OTHER 459
#define T_TRAP 460
#define L_USEC 461
#define T_AGGREGATE 462
#define T_GENERATE 463
#define T_BRIEF 464
#define T_INET 465
#define T_GENDEFAULT 466
typedef union {
    long	num;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    utime_t	utime;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
    trace_file	*trace_file;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
#endif	/* PROTO_OSPF */
#ifdef	PROTO_ASPATHS
    as_path *aspath;
    asmatch_t *asp_match;
    asp_range asp_range;
    asp_stack asp_stack;
#endif	/* PROTO_ASPATHS */
#endif	/* GATED_LEXER */
} YYSTYPE;
extern YYSTYPE yylval;
